<div class="outer">
  <div *ngIf="currentTerrainId != 'Izaberite teren' && currentTerrainId != undefined" class="alert alert-success">
    <h5>Kliknite na slobodan termin da biste zakazali:</h5>
    <h6>Cena jednog sata: {{currentPrice}}</h6>

    <form *ngIf="clickedDate" [formGroup]="postForm">
      <h5>Početak termina: {{ clickedDate | date:'medium' }}</h5>

      <hr>


      <label for="duration">Trajanje rezervacije: </label>
      <input id="duration" max=3 min=1 type="number" formControlName="Duration" style="margin-left: 20px;">
      <br>
      <div  *ngIf="authService.getUserClaimsRole() === 'admin'">
        <br>
        <hr>
        <label *ngIf="authService.getUserClaimsRole() === 'admin'"> Izaberite korisnika rezervacije </label>
        <select *ngIf="authService.getUserClaimsRole() === 'admin'" class="form-select" formControlName="usernameID"
          id="usernameid">
          <option selected>Izaberite korisnika</option>
          <option *ngFor="let u of Users" value={{u._id}}>Korisničko ime: {{u.Username}} Ime i prezime: {{u.FirstName}}
            {{u.LastName}} </option>
        </select>
        <hr>
        <br>
      </div>
      <br>
      <button class="btn btn-outline-secondary" type="button" (click)="submitReservation()">Potvrdite
        rezervaciju</button>
    </form>
  </div>


  <div class="row text-center">
    <div class="col-md-4">
      <div class="btn-group">
        <button class="btn btn-primary" (click)="decrement()" [disabled]="prevBtnDisabled">
          Previous
        </button>
        <button class="btn btn-outline-secondary" (click)="today()">Today</button>
        <button class="btn btn-primary" (click)="increment()" [disabled]="nextBtnDisabled">
          Next
        </button>
      </div>
    </div>
    <div class="col-md-4">
      <h3>{{ viewDate | calendarDate:(view + 'ViewTitle'):'en' }}</h3>
    </div>
    <div class="col-md-4">
      <div class="btn-group">
        <div class="btn btn-primary" (click)="changeView('month')" [class.active]="view === 'month'">
          Month
        </div>
        <div class="btn btn-primary" (click)="changeView('week')" [class.active]="view === 'week'">
          Week
        </div>
        <div class="btn btn-primary" (click)="changeView('day')" [class.active]="view === 'day'">
          Day
        </div>
      </div>

    </div>
    <br />

    <div [ngSwitch]="view">
      <mwl-calendar-month-view *ngSwitchCase="'month'" [viewDate]="viewDate" [events]="events"
        (beforeViewRender)="beforeMonthViewRender($event)" (columnHeaderClicked)="clickedColumn = $event.isoDayNumber"
        (dayClicked)="clickedDate = $event.day.date">
      </mwl-calendar-month-view>
      <mwl-calendar-week-view *ngSwitchCase="'week'" [viewDate]="viewDate" [events]="events" [dayStartHour]="7"
        [dayEndHour]="23" [hourDuration]="60" [hourSegments]="1" (dayHeaderClicked)="clickedDate = $event.day.date"
        (hourSegmentClicked)="clickedDate = $event.date">
      </mwl-calendar-week-view>
      <mwl-calendar-day-view *ngSwitchCase="'day'" [viewDate]="viewDate" [events]="events" [dayStartHour]="7"
        [dayEndHour]="23" [hourDuration]="60" [hourSegments]="1" (hourSegmentClicked)="clickedDate = $event.date">
      </mwl-calendar-day-view>
    </div>


  </div>